<!doctype html >
<html lang="en" xmlns:th="http://thymeleaf.org">
<!-- Required meta tags -->
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
  <title>LIST PENGELOLAAN AKUN</title>



  <!-- Bootstrap CSS -->
  <link rel="stylesheet" th:href="@{/css/sidebar.css}">
  <link href='https://unpkg.com/boxicons@2.0.7/css/boxicons.min.css' rel='stylesheet'>
  <link rel="stylesheet" th:href="@{/assets/css/list-request-penyelenggara.css}">
  <script src="https://code.jquery.com/jquery-3.6.0.min.js"></script>
  <!--  <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@4.6.2/dist/css/bootstrap.min.css" integrity="sha384-xOolHFLEh07PJGoPkLv1IbcEPTNtaed2xpHsD9ESMhqIYd0nLMwNLD69Npy4HI+N" crossorigin="anonymous">-->
  <!--  <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/font-awesome/4.7.0/css/font-awesome.min.css">-->
  <!--   <link rel="stylesheet" th:href="@{https://cdn.jsdelivr.net/npm/bootstrap-icons@1.5.0/font/bootstrap-icons.css}">-->
  <!--  <link href='https://fonts.googleapis.com/css?family=Roboto' rel='stylesheet'>-->
  <!--   <link rel="stylesheet" th:href="@{/assets/css/style.css}">-->
  <!--  <script src="https://cdn.jsdelivr.net/npm/bootstrap@4.6.2/dist/js/bootstrap.bundle.min.js"></script>-->
  <!--  <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap-icons@1.10.3/font/bootstrap-icons.css">-->

</head>


<body>

<div th:replace="fragments/fragment.html :: side-bar-admin" />

<section class="content-sidebar-section">
  <div class="text">Account Management
  </div>
  <div class="list-penyelenggara-wrapper">
    <form>
      <div class="form-group layout-form card-table-2 stretch-card">
        <div class="dropdown p-2">
          <select class="form-control btn btn-outline-secondary dropdown-toggle" name="status" id="statusDropdown" onchange="submitForm(event)" style="width: 198px; height: 48px; text-indent: 12px; margin: 0 24px 0 0;">
            <option value="" disabled selected>Status</option>
            <option value="All">All</option>
            <option value="Clear">Clear</option>
            <option value="Banned">Banned</option>
          </select>
          <select class="form-control btn btn-outline-secondary dropdown-toggle" name="role" id="roleDropdown" onchange="submitForm(event)" style="width: 198px; height: 48px;  margin: 0px; text-indent: 12px;">
            <option value="" disabled selected>Role</option>
            <option value="All">All</option>
            <option value="DOKTER">Dokter</option>
            <option value="PENYELENGGARA">Penyelenggara</option>
            <option value="INVITED%20SPEAKER">Invited Speaker</option>
          </select>
        </div>
        <input  type="search" class="nosubmit form-control rounded fa fa-search" placeholder="Search"  aria-label="Search" aria-describedby="search-addon" onkeydown="if (event.keyCode === 13) { submitForm(event); }"/>

      </div>

    </form>

    <div style="padding: 20px; margin-top: 20px" class="card-table stretch-card shadow-lg ">
      <div class="col-lg-12">
        <main>
          <div class="container main" style="align-items: start;">
            <tbody class="table-responsive">
            <table class="table">
              <thead>
              <tr>
                <!--                <th></th>-->
                <th>No</th>
                <th>Nama User</th>
                <th>Email</th>
                <th>Role</th>
                <th>Status</th>
                <th>Action</th>
              </tr>
              </thead>
              <tbody id="tableBody">
              <script>
                  $(function() {
                      $('#tableBody').load(`/admin/dashboard/pengelolaan-akun/table-body-pengelolaan-akun.html?status=All&role=All`);
                  });
              </script>
              </tbody>
            </table>
          </div>
        </main>
      </div>
    </div>
  </div>

</section>
<script>
    let sidebar = document.querySelector(".sidebar");
    let closeBtn = document.querySelector("#btn");

    closeBtn.addEventListener("click", ()=>{
        sidebar.classList.toggle("open");
        console.log("Button clicked!"); //tambahkan console log
        console.log(sidebar.classList);
        menuBtnChange();//calling the function(optional)
    });

    // following are the code to change sidebar button(optional)
    function menuBtnChange() {
        if(sidebar.classList.contains("open")){
            closeBtn.classList.replace("bx-menu", "bx-menu-alt-right");//replacing the icons class
        }else {
            closeBtn.classList.replace("bx-menu-alt-right","bx-menu");//replacing the icons class
        }
    }

    function submitForm(event) {
        event.preventDefault(); // prevent the form from submitting

        // Get the selected value of the status dropdown
        var statusDropdown = document.getElementById("statusDropdown");
        var selectedStatus = statusDropdown.options[statusDropdown.selectedIndex].value;

        // Get the selected value of the role dropdown
        var roleDropdown = document.getElementById("roleDropdown");
        var selectedRole = roleDropdown.options[roleDropdown.selectedIndex].value;

        // Get the value of the search input
        var searchInput = document.querySelector(".nosubmit.form-control");
        var searchValue = searchInput.value;

        // Do something with the values
        console.log("Selected status: " + selectedStatus);
        console.log("Selected role: " + selectedRole);
        console.log("Search value: " + searchValue);

        $(function() {
            $('#tableBody').load(`/admin/dashboard/pengelolaan-akun/table-body-pengelolaan-akun.html?status=${selectedStatus}&role=${selectedRole}&search=${searchValue}`);
        });
    }

</script>
</body>

</html>